import type { Plugin } from 'vite'
import { configUniPlugin } from './uni'
import { configAutoImportPlugin } from './autoImport'

export function createVitePlugins(viteEnv: ViteEnv) {
    const { VITE_GLOB_APP_NAME, VITE_GLOB_APP_DESCRIPTION } = viteEnv
    console.log('APP 名称: ', VITE_GLOB_APP_NAME)
    console.log('APP 描述: ', VITE_GLOB_APP_DESCRIPTION)

    // plugins
    const vitePlugins: (Plugin | Plugin[])[] = []

    // uni-app
    vitePlugins.push(configUniPlugin())

    // unplugin-auto-import
    vitePlugins.push(configAutoImportPlugin())

    return vitePlugins
}
